/*
 * @Description: 组件权限控制
 * @Date: 2020-10-10 10:40:18
 * @LastEditTime: 2020-10-15 11:25:59
 * @LastEditors: 李璕
 */
export default {
    inject: {
        reactParams: {
            default: () => { },
            roleList: []
        },
    },
    computed: {
        isDesign() {
            return this.componentData.commonVariable.pageType === "design";
        },
        roleList() {
            return this.reactParams.roleList
        },
        isShow() {
            //设计模式
            if (this.isDesign) {
                return true
            }

            const componentRoles = this.componentData.roleList;
            //老数据默认展示
            if (!componentRoles || !Array.isArray(componentRoles)) {
                return true
            }
            if (componentRoles.includes('ROLE_ALL')) {
                return true
            }
            const userRoles = this.roleList || [];

            for (let role of userRoles) {
                if (componentRoles.includes(role)) {
                    return true
                }
            }
            return false

        }
    },
    methods: {

    }
}
